Skip to main content
GET
/
crm
/
v3
/
exports
/
export
/
{exportId}
Retrieve details of a specific export by its unique ID.
curl --request GET \
  --url https://api.hubapi.com/crm/v3/exports/export/{exportId} \
  --header 'Authorization: Bearer <token>'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "exportState": "CANCELED",
  "exportType": "LIST",
  "id": "<string>",
  "objectProperties": [
    "<string>"
  ],
  "objectType": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "exportName": "<string>",
  "recordCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

exportId
integer<int64>
required

Response

successful operation

createdAt
string<date-time>
required

The timestamp when the export was created, in ISO 8601 format.

exportState
enum<string>
required

The current state of the export process.

Available options:
CANCELED,
CONFLICT,
DEFERRED,
DELETED,
DONE,
ENQUEUED,
FAILED,
PENDING_APPROVAL,
PROCESSING
exportType
enum<string>
required

The type of export, which can be either VIEW or LIST.

Available options:
LIST,
VIEW
id
string
required

The unique ID of the export.

objectProperties
string[]
required

The list of properties exported for the associated object.

objectType
string
required

The associated CRM object being exported.

updatedAt
string<date-time>
required

The timestamp when the export was last updated, in ISO 8601 format.

exportName
string

The name assigned to the export.

recordCount
integer<int32>

The total number of records included in the export.

Last modified on March 30, 2026